%define  upstream_name PHPUnit
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	3.7.34
Release:	%mkrel 5
Summary:	Regression testing framework for unit tests
License:	BSD License
Group:		Development/PHP
URL:		http://www.phpunit.de/
Source0:	http://pear.phpunit.de/get/PHPUnit-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear >= 1.9.4
Requires:	php-channel-phpunit
Requires:	php-pear-File_Iterator >= 1.3.0
Requires:	php-pear-Text_Template >= 1.1.1
Requires:	php-pear-PHP_CodeCoverage >= 1.2.1
Requires:	php-pear-PHP_CodeCoverage <= 1.2.99
Requires:	php-pear-PHP_Timer >= 1.0.2
Requires:	php-pear-PHP_Timer <= 1.0.99
Requires:	php-pear-PHPUnit_MockObject >= 1.2.0
Requires:	php-pear-Symfony2_Yaml >= 2.0.0
Requires:	php-pear-Symfony2_Yaml <= 2.99.99
BuildArch:	noarch
BuildRequires:	php-pear >= 1.9.4
BuildRequires:	php-channel-phpunit


%description
The PHP Unit Testing framework.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHPUnit.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHPUnit.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHPUnit
fi

%files
%doc docs/PHPUnit/*
%{peardir}/*
%{_bindir}/phpunit
%{xmldir}/PHPUnit.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.7.34-5.mga8
+ Revision: 1499153
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.7.34-4.mga7
+ Revision: 1273774
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.7.34-3.mga6
+ Revision: 939362
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.7.34-2.mga5
+ Revision: 748850
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 spuhler <spuhler> 3.7.34-1.mga5
+ Revision: 724474
- downgrading to version 3.7.34
 * version 4.0.17 is an empty package
  - has been replaced with an non-pear package
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 spuhler <spuhler> 3.7.31-1.mga5
+ Revision: 584888
- upgrade to ver. 3.7.31

* Tue Oct 22 2013 umeabot <umeabot> 3.7.27-4.mga4
+ Revision: 545367
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 3.7.27-3.mga4
+ Revision: 501200
- change Requires of pear-Symfony2_Yaml
  * this package has been renamed

* Tue Oct 01 2013 spuhler <spuhler> 3.7.27-1.mga4
+ Revision: 490111
- upgrade to vers. 3.7.27

* Wed Aug 14 2013 spuhler <spuhler> 3.7.24-1.mga4
+ Revision: 466491
- upgrade to ver 3.7.24

* Sat Jul 06 2013 spuhler <spuhler> 3.7.22-1.mga4
+ Revision: 450767
- upgrade to ver 3.7.22

* Tue Jun 18 2013 spuhler <spuhler> 3.7.21-3.mga4
+ Revision: 444735
- removed Obsoletes: php-pear-PHPUnit2
 * some newer pear packages need it.

* Tue Jun 04 2013 spuhler <spuhler> 3.7.21-2.mga4
+ Revision: 436852
+ rebuild (emptylog)

* Mon Jun 03 2013 spuhler <spuhler> 3.7.21-1.mga4
+ Revision: 436823
- upgrade to ver. 3.7.21
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 3.6.11-2.mga3
+ Revision: 377134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 3.6.11-1.mga3
+ Revision: 275690
- upgrade to 3.5.11

* Fri Feb 10 2012 spuhler <spuhler> 3.6.10-1.mga2
+ Revision: 206774
- upgrade to 3.6.10

* Sun Jan 22 2012 spuhler <spuhler> 3.6.8-1.mga2
+ Revision: 199439
- upgrade to 3.6.8

* Wed Jan 04 2012 spuhler <spuhler> 3.6.7-1.mga2
+ Revision: 190243
- upgrade to 3.6.7

* Thu Dec 29 2011 spuhler <spuhler> 3.6.5-1.mga2
+ Revision: 188603
- upgrade to 3.6.5

* Sun Dec 04 2011 spuhler <spuhler> 3.6.4-2.mga2
+ Revision: 175750
- added Obsoletes: php-pear-PHPUnit2 as listed by upstream

* Sun Nov 27 2011 spuhler <spuhler> 3.6.4-1.mga2
+ Revision: 173137
- upgrade to 3.6.4

* Tue Nov 15 2011 spuhler <spuhler> 3.6.3-2.mga2
+ Revision: 167905
- changed suggests into requires since they are needed

* Mon Nov 14 2011 spuhler <spuhler> 3.6.3-1.mga2
+ Revision: 167495
- upgrade to 3.6.3

* Mon Jul 11 2011 spuhler <spuhler> 3.5.14-1.mga2
+ Revision: 121998
- upgrade to 3.5.14 from 3.3.17
  added +BuildRequires:	php-pear >= 1.9.4
  Suggests:	PHPUnit_MockObject
  Suggests:	PHPUnit_Selenium
  Suggests:	PHP_Timer
  Suggests:	PHP_CodeCoverag
  Suggests:	Text_Template
  Suggests:	File_Iterator
  Suggests:	DbUnit

* Wed Jan 26 2011 spuhler <spuhler> 3.3.17-3.mga1
+ Revision: 39884
- removed buildroot definition from .spec
  remived the if mdkversion lines
- imported package php-pear-PHPUnit


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.17-3mdv2011.0
+ Revision: 613752
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.17-2mdv2010.1
+ Revision: 468060
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.17-1mdv2010.0
+ Revision: 446478
- update to new version 3.3.17

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.16-1mdv2010.0
+ Revision: 394097
- update to new version 3.3.16

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 3.3.9-1mdv2009.1
+ Revision: 341719
- 3.3.9

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 3.3.8-2mdv2009.1
+ Revision: 322630
- rebuild

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.8-1mdv2009.1
+ Revision: 320935
- new version
- don't duplicate spec-helper job
- cleanup file list

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.9-2mdv2009.0
+ Revision: 237047
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.9-1mdv2008.1
+ Revision: 106412
- require the php-channel-phpunit package that registers the pear.phpunit.de channel
- another attempt to build the package
- fix build (take #2)
- fix build
- 3.1.9
- simplify the install and fix #33148

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-4mdv2008.0
+ Revision: 33604
- don't require php-xdebug

* Wed May 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-3mdv2008.0
+ Revision: 20497
- fix deps (duh...)

* Tue Apr 24 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-2mdv2008.0
+ Revision: 17790
- fix deps

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-1mdv2008.0
+ Revision: 14671
- Import php-pear-PHPUnit



* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-1mdv2008.0
- initial Mandriva package
